var search_data = {"index":{"searchIndex":["methoddisabling","classmethods","disabledmethod","alias_method!()","aliased_name()","base_method_name()","disable!()","disable_class_method()","disable_method()","disabled?()","disabled_methods()","execute()","method_name_parts()","method_suffix()","new()","replacement_name()","restore!()","restore_class_method()","restore_method()","to_proc()","license","readme"],"longSearchIndex":["methoddisabling","methoddisabling::classmethods","methoddisabling::disabledmethod","methoddisabling::disabledmethod#alias_method!()","methoddisabling::disabledmethod#aliased_name()","methoddisabling::disabledmethod#base_method_name()","methoddisabling::disabledmethod#disable!()","methoddisabling::classmethods#disable_class_method()","methoddisabling::classmethods#disable_method()","methoddisabling::disabledmethod#disabled?()","methoddisabling::classmethods#disabled_methods()","methoddisabling::disabledmethod#execute()","methoddisabling::disabledmethod#method_name_parts()","methoddisabling::disabledmethod#method_suffix()","methoddisabling::disabledmethod::new()","methoddisabling::disabledmethod#replacement_name()","methoddisabling::disabledmethod#restore!()","methoddisabling::classmethods#restore_class_method()","methoddisabling::classmethods#restore_method()","methoddisabling::disabledmethod#to_proc()","",""],"info":[["MethodDisabling","","MethodDisabling.html","","<p>MethodDisabling allows a programmer to programatically disable existing methods, causing them to raise …\n"],["MethodDisabling::ClassMethods","","MethodDisabling/ClassMethods.html","","<p>Provides class-level macros for managing disabled methods.\n<p>@example Disabling an instance method\n\n<pre>class ...</pre>\n"],["MethodDisabling::DisabledMethod","","MethodDisabling/DisabledMethod.html","","<p>A DisabledMethod is an existing class or instance method that has been disabled. The method can be disabled …\n"],["alias_method!","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-alias_method-21","()","<p>Replaces the original implementation of the method with an implementation that allows disabling.\n"],["aliased_name","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-aliased_name","()","<p>The aliased name of the original method.\n<p>@return [String]\n"],["base_method_name","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-base_method_name","()","<p>The original method name with any suffix (“!” or “?”) removed.\n<p>@return [String]\n"],["disable!","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-disable-21","()","<p>Disables the method.\n"],["disable_class_method","MethodDisabling::ClassMethods","MethodDisabling/ClassMethods.html#method-i-disable_class_method","(method_name, message = nil)","<p>Disables a class method.\n<p>@param [Symbol,String]  method_name   The name of the method to disable. @param …\n"],["disable_method","MethodDisabling::ClassMethods","MethodDisabling/ClassMethods.html#method-i-disable_method","(method_name, message = nil)","<p>Disables an instance method.\n<p>@param [Symbol,String]  method_name   The name of the method to disable. …\n"],["disabled?","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-disabled-3F","()","<p>Indicates whether or not the method is disabled.\n<p>@return [Boolean]\n"],["disabled_methods","MethodDisabling::ClassMethods","MethodDisabling/ClassMethods.html#method-i-disabled_methods","()","<p>A collection of the methods that have been disabled.\n<p>@return [Hash]\n"],["execute","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-execute","(object, *args, &block)","<p>The replacement for the original method. It will raise a NoMethodError if the method is disabled. Otherwise …\n"],["method_name_parts","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-method_name_parts","()","<p>The original method name broken into parts. The returned value can is a hash with the keys ‘:base_name` …\n"],["method_suffix","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-method_suffix","()","<p>The original method name’s suffix (“!” or “?”), if any.\n<p>@return [String]\n"],["new","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-c-new","(klass, method_name, message = nil)","<p>Disables a instance method. To disable a class method, pass the class’s singleton class as the first …\n"],["replacement_name","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-replacement_name","()","<p>The name of the replacement method.\n<p>@return [String]\n"],["restore!","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-restore-21","()","<p>Restores the method.\n"],["restore_class_method","MethodDisabling::ClassMethods","MethodDisabling/ClassMethods.html#method-i-restore_class_method","(method_name)","<p>Restores a previously disabled class method.\n<p>@param [Symbol,String]  method_name   The name of the method …\n"],["restore_method","MethodDisabling::ClassMethods","MethodDisabling/ClassMethods.html#method-i-restore_method","(method_name)","<p>Restores a previously disabled instance method.\n<p>@param [Symbol,String]  method_name   The name of the …\n"],["to_proc","MethodDisabling::DisabledMethod","MethodDisabling/DisabledMethod.html#method-i-to_proc","()","<p>Returns a Proc that acts as a replacement for the disabled method.\n"],["LICENSE","","LICENSE_txt.html","","<p>Copyright © 2012 David Cuddeback\n<p>Permission is hereby granted, free of charge, to any person obtaining …\n"],["README","","README_rdoc.html","","<p>method_disabling\n<p>Allows disabling methods at runtime. It can be used to raise an error whenever a certain …\n"]]}}